CREATE TABLE irc_cx_template_settings (
    SETTING_ID               NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    TEMPLATE_ID              NUMBER(18, 0)     NOT NULL,
    SETTING_KEY              VARCHAR2(4000)    NOT NULL,
    SETTING_VALUE            VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SETTING_ID               NUMBER(18, 0) ,
    MODULE_ID                VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    TEMPLATE_ID              NUMBER(18, 0)     NOT NULL,
    SETTING_KEY              VARCHAR2(4000)    NOT NULL,
    SETTING_VALUE            VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    CONSTRAINT pk_irc_cx_template_settings PRIMARY KEY (SETTING_ID, SETTING_ID)
);
